Hi Vojtěch,

ape 4.0 is not yet on CRAN. We are running more tests.

You could use the testing version: there won't be substantial changes once it is on CRAN.

If you cannot install the testing version from ape-package.ird.fr (maybe mostly for users of MacOS with no compiling tools), a simple fix to this issue is to run:

fix(read.GenBank)

and replace "http:...." by "https:....", save and close.

Best,

Emmanuel

Le 19/11/2016 à 09:48, Vojtěch Zeisek a écrit :
Hello,
is it already in CRAN? read.GenBank for me failed with newest version from
CRAN, I had to update directly from Ape's website...
Sincerely,
V.

Dne sobota 12. listopadu 2016 13:16:47 CET, Eduardo Ascarrunz napsal(a):
Hi Emmanuel,

Right! Sorry I misspoke.

Best,

Eduardo

2016-11-11 23:32 GMT+01:00 Emmanuel Paradis <emmanuel.para...@ird.fr>:
Hi Eduardo & Ting-Wen,

ape 4.0 is not yet released. The available version is 3.5-0.10 and, you
are right Eduardo, it fixes this issue. The instructions to install this
new version of ape is here:

http://ape-package.ird.fr/ape_installation.html#versions

The issue (not really a bug, strictly speaking) is because NCBI servers do
not accept HTTP requests anymore like many web services. The new version
of
read.GenBank() uses HTTPS in place of HTTP. The relevant information from
NCBI can be found there:

https://www.ncbi.nlm.nih.gov/news/06-10-2016-ncbi-https/

Best,

Emmanuel

Le 11/11/2016 à 09:22, Eduardo Ascarrunz a écrit :
Hi Ting-Wen.

Are you using the latest version of ape? Emmanuel released ape v.4.0
yesterday with a bug fix for that function.

Best,

Eduardo

2016-11-11 0:35 GMT+01:00 Chen, Ting-Wen <
ting-wen.c...@biologie.uni-goettingen.de>:

Dear all,

recently I got an error when downloading sequences in R using MacOS
10.12
(but no problem when using WIndows 7). I was using the function
read.GenBank in package ape and pretty sure my laptop was connecting to
the
internet. Following is how the error looks like:

R version 3.3.2 (2016-10-31) -- "Sincere Pumpkin Patch"
Copyright (C) 2016 The R Foundation for Statistical Computing
Platform: x86_64-apple-darwin13.4.0 (64-bit)
...
[R.app GUI 1.68 (7288) x86_64-apple-darwin13.4.0]

library(ape)

read.GenBank("U15717")

Error in file(file, "r") : cannot open the connection

Does anybody know how to solve this problem?

All the best
Ting-Wen


_______________________________________________
R-sig-phylo mailing list - R-sig-phylo@r-project.org
https://stat.ethz.ch/mailman/listinfo/r-sig-phylo
Searchable archive at http://www.mail-archive.com/r-sig-phylo@r-project.org/

_______________________________________________
R-sig-phylo mailing list - R-sig-phylo@r-project.org
https://stat.ethz.ch/mailman/listinfo/r-sig-phylo
Searchable archive at http://www.mail-archive.com/r-sig-phylo@r-project.org/

Reply via email to